Debian Bug report logs - #471576
audacious: Segmentation fault

Package: audacious-crossfade; Maintainer for audacious-crossfade is (unknown);

Reported by: Jonas Meurer <jonas@freesources.org>

Date: Wed, 19 Mar 2008 02:00:02 UTC

Severity: grave

Merged with 471115

Done: William Pitcock <nenolod@sacredspiral.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#471576; Package audacious. Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: audacious: Segmentation fault
Date: Wed, 19 Mar 2008 02:55:32 +0100
Package: audacious
Version: 1.5.0-1
Severity: grave
Justification: renders package unusable

Hello,

Since some days, audacious segfaults on my debian/unstable amd64 system.

Unfortunately it doesn't give any additional information:

$ audacious 
Segmentation fault

I removed ~/.config/audacious, but that didn't change the situation.
Even rebuilding the package didn't fix the segfault.

I might rebuild with debug symbols and provide the strace output within
the next days, but currently i'm to busy to do so.

greetings,
 jonas

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-4-amd64-resivo
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages audacious depends on:
ii  audacious-plugins           1.5.0-1      Base plugins for audacious
ii  dbus                        1.1.20-1     simple interprocess messaging syst
ii  gtk2-engines-pixbuf         2.12.9-2     Pixbuf-based theme for GTK+ 2.x
ii  libatk1.0-0                 1.22.0-1     The ATK accessibility toolkit
ii  libaudclient1               1.5.0-1      audacious D-Bus remote control lib
ii  libc6                       2.7-9        GNU C Library: Shared libraries
ii  libcairo2                   1.4.14-1     The Cairo 2D vector graphics libra
ii  libdbus-1-3                 1.1.20-1     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.74-1       simple interprocess messaging syst
ii  libglib2.0-0                2.16.1-2     The GLib library of C routines
ii  libgtk2.0-0                 2.12.9-2     The GTK+ graphical user interface 
ii  libice6                     2:1.0.4-1    X11 Inter-Client Exchange library
ii  libmcs1                     0.7.0-1      Abstraction library to store confi
ii  libmowgli1                  0.6.1-1      a high performance development fra
ii  libpango1.0-0               1.20.0-1     Layout and rendering of internatio
ii  libsamplerate0              0.1.2-5      audio rate conversion library
ii  libsm6                      2:1.0.3-1+b1 X11 Session Management library
ii  libx11-6                    2:1.0.3-7    X11 client-side library

Versions of packages audacious recommends:
ii  audacious-plugins-extra       1.5.0-1    Various extra plugins for audaciou
ii  unzip                         5.52-10    De-archiver for .zip files

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#471576; Package audacious. Full text and rfc822 format available.

Acknowledgement sent to Markus Huber <markus.huber@yahoo.de>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. Full text and rfc822 format available.

Message #10 received at 471576@bugs.debian.org (full text, mbox):

From: Markus Huber <markus.huber@yahoo.de>
To: 471576@bugs.debian.org
Subject: Re: audacious: Segmentation fault
Date: Wed, 19 Mar 2008 16:42:14 +0100
Do you have audacious-crossfade installed? Audacious does not segfault without 
that package but does not start with it as you described.

Markus Huber




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#471576; Package audacious. Full text and rfc822 format available.

Acknowledgement sent to darren <darren.hoo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. Full text and rfc822 format available.

Message #15 received at 471576@bugs.debian.org (full text, mbox):

From: darren <darren.hoo@gmail.com>
To: 471576@bugs.debian.org
Subject: Re:audacious: Segmentation fault
Date: Fri, 21 Mar 2008 12:42:50 +0800
[Message part 1 (text/plain, inline)]
Markus Huber ,
            I got this problem too for several days,and remove
crossfade makes audacious works again.
            why can't I find the package named like audacious-dbg?
[Message part 2 (text/html, inline)]

Bug reassigned from package `audacious' to `audacious-crossfade'. Request was from Adam Cécile <adam.cecile@linbox.com> to control@bugs.debian.org. (Wed, 26 Mar 2008 08:30:05 GMT) Full text and rfc822 format available.

Merged 471115 471576. Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 26 Mar 2008 08:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 471576-done@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: 472630-done@bugs.debian.org, 471115-done@bugs.debian.org, 471576-done@bugs.debian.org
Subject: Fixed in binNMUs
Date: Tue, 08 Apr 2008 09:17:42 -0500
[Message part 1 (text/plain, inline)]
This is fixed by binNMU rebuilds of the package.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, William Pitcock <nenolod@sacredspiral.co.uk>:
Bug#471576; Package audacious-crossfade. Full text and rfc822 format available.

Acknowledgement sent to Dylan Piergies <dlp21@bath.ac.uk>:
Extra info received and forwarded to list. Copy sent to William Pitcock <nenolod@sacredspiral.co.uk>. Full text and rfc822 format available.

Message #25 received at 471576@bugs.debian.org (full text, mbox):

From: Dylan Piergies <dlp21@bath.ac.uk>
To: 471576@bugs.debian.org
Subject: Audacious segfault bug
Date: Wed, 30 Apr 2008 05:13:49 +0100
Yep... removing crossfade works for me too. Very helpful advice, considering 
the spontaneity of occurrence, and the myriad of hardware problems I am 
currently experiencing (sound card fussy about its PCI slot (confirmed), bad 
RAM (also confirmed) and anything else that might want to fuck up on me just 
for opening the case). And all this a week before my final exams. F**king 
computers. Really flies with the 15 kRPM HD though. :-p
-- 
Dylan Piergies
Undergraduate Physics, University of Bath
dlp21@bath.ac.uk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 May 2008 07:29:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:15:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.